Package org.apache.lucene.queryparser.flexible.core.config

## Interface FieldConfigListener

- All Known Implementing Classes:
    `FieldBoostMapFCListener`, `FieldDateResolutionFCListener`, `PointsConfigListener`

      public interface FieldConfigListener

  This interface should be implemented by classes that wants to listen for field configuration requests. The implementation receives a `FieldConfig` object and may add/change its configuration.
  See Also:
    `FieldConfig`, `QueryConfigHandler`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `buildFieldConfig​(FieldConfig fieldConfig)` | This method is called ever time a field configuration is requested.

- - ### Method Detail

    - #### buildFieldConfig

          void buildFieldConfig​(FieldConfig fieldConfig)

      This method is called ever time a field configuration is requested.
      Parameters:
        `fieldConfig` - the field configuration requested, should never be null